Hardware Locality (hwloc) 1.5.1

- Main Page
- Related Pages
- Modules
- Data Structures

Functions
OpenFabrics-Specific Functions

## Functions

static inline int | hwloc_ibv_get_device_cpuset (hwloc_topology_t topology , struct ibv_device *ibdev, hwloc_cpuset_t set)
static inline hwloc_obj_t | hwloc_ibv_get_device_osdev_by_name (hwloc_topology_t topology, const char *ibname)

## Detailed Description

## Function Documentation

static inline int hwloc_ibv_get_device_cpuset | ( | hwloc_topology_t topology | ,
|  | struct ibv_device * | ibdev,
|  | hwloc_cpuset_t | set
| ) |  |

static

Get the CPU set of logical processors that are physically close to device `ibdev`.

For the given OpenFabrics device `ibdev`, read the corresponding kernel-provided cpumap file and return the corresponding CPU set. This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.

Topology `topology` must match the current machine.

static inline hwloc_obj_t hwloc_ibv_get_device_osdev_by_name | ( | hwloc_topology_t | topology,
|  | const char * | ibname
| ) |  |

static

Get the hwloc OS device object corresponding to the OpenFabrics device named `ibname`.

For the OpenFabrics device whose name is `ibname`, return the hwloc OS device object describing the device. Returns NULL if there is none.

The name `ibname` is usually obtained from ibv_get_device_name().

IO devices detection must be enabled in topology `topology`.

The topology does not necessary have to match the current machine. For instance the topology may be an XML import of a remote host.

Note
  The corresponding PCI device object can be obtained by looking at the OS device parent object.